Name:           oyranos
Version:        0.1.7
Release:        11%{?dist}
Summary:        The Oyranos Colour Management System (CMS) 

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.oyranos.org
#Source0:        http://downloads.sourceforge.net/oyranos/oyranos-%{version}.tar.gz
Source0:        http://kwizart.fedorapeople.org/SOURCES/oyranos-repack-0.1.7.tar.bz2
Source1:        README-Fedora-ICC_PROFILES
Source10:       oyranos-repack.sh
Patch0:         oyranos-0.1.7-sw_elektra.patch
Patch1:         oyranos-0.1.7-rpath.patch
Patch2:         oyranos-0.1.7-install_p.patch
Patch3:         oyranos-0.1.7-shared_NVCtrl.patch
Patch4:         oyranos-0.1.7-fix_pc.patch
Patch5:         oyranos-0.1.7-fix_bash.patch
Patch6:         oyranos-0.1.7-default.patch
Patch7:         oyranos-0.1.7-man-1_3.patch
Patch8:         oyranos-0.1.7-rm_class.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  elektra-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  fltk-devel
BuildRequires:  imake
BuildRequires:  lcms-devel >= 1.14
BuildRequires:  libstdc++-devel
BuildRequires:  libxslt-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libXNVCtrl-devel

BuildRequires:  libXinerama-devel
BuildRequires:  libXext-devel
BuildRequires:  libX11-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  color-filesystem
Requires:  color-filesystem
Requires:  %{name}-libs = %{version}-%{release}
#Requires:  color-icc-profiles

#Requires(post): /usr/sbin/elektra-kdb



%description
The Colour Management System (CMS) Oyranos is intented to coordinate device
specific informations (ICC colour profiles) and configure their system wide
settings. Target is a predictable path for applications and users to match
colours across devices and across platforms. 

Oyranos is intended as a OS level CMS.

%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description libs
The Colour Management System (CMS) Oyranos is intented to coordinate device
specific informations (ICC colour profiles) and configure their system wide
settings. Target is a predictable path for applications and users to match
colours across devices and across platforms. 

Oyranos is intended as a OS level CMS.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig
Requires:       libX11-devel
Requires:       libXinerama-devel

%description devel
This package contains development files for %{name}.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation

%description docs
This package contains documentation files for %{name}.


%prep
%setup -q
%patch0 -p1 -b .sw_elektra
%patch1 -p1 -b .rpath
%patch2 -p1 -b .install_p
%patch3 -p1 -b .NVCtrl
%patch4 -p1 -b .fix_pc
%patch5 -p1 -b .fix_bash
%patch6 -p1 -b .default
%patch7 -p1 -b .man-1_3
%patch8 -p1 -b .rm_class

# Prevent static elektra to be used
#rm -rf elektra-0.6.4

# Prevent static libXNVCtrl to be used
#rm -rf libXNVCtrl libXNVCtrl.a

# Make build more verbose
#for f in `find . -name [mM]akefile\*` configure.sh ; do sed -i.silent -e '/.SILENT/d' $f ; done

# Fix Changelog not-utf8
#cp -p ChangeLog ChangeLog.origine
#iconv -f ISO-8859-1 -t UTF8 ChangeLog.origine >  ChangeLog
#touch -r ChangeLog.origine ChangeLog
#rm -rf ChangeLog.origine

# Update Doxygen
doxygen -u

# Install Fedora doc
install -pm 0644 %{SOURCE1} . 


%build
export internalelektra=no
%configure --disable-static --syscolordir=%{_colordir}

# Parralle build sometime fails
make 
#{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc

# Prevent icc profiles with commercial license to be installed
rm -rf standard_profiles

make DESTDIR=$RPM_BUILD_ROOT install_bin install_linguas install_gui

# Remove unneeded files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

# install doc in the right place...
mkdir -p __doc/
mv $RPM_BUILD_ROOT%{_datadir}/doc/oyranos/* __doc/
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/oyranos


# Tweak the oyranos_version.h
sed -i -e '/OY_SRC/d' $RPM_BUILD_ROOT%{_includedir}/%{name}/oyranos_version.h
touch -r ChangeLog $RPM_BUILD_ROOT%{_includedir}/%{name}/oyranos_version.h

# Multilib tweaks
touch -r ChangeLog $RPM_BUILD_ROOT%{_bindir}/%{name}-config

# Move oyranos-config.1 to oyranos-config.3
mv $RPM_BUILD_ROOT%{_mandir}/man1/oyranos-config.1 $RPM_BUILD_ROOT%{_mandir}/man3/oyranos-config.3
touch -r ChangeLog $RPM_BUILD_ROOT%{_mandir}/man3/oyranos-config.3

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT 


%post libs -p /sbin/ldconfig

%if 0
%post 
if [ "`elektra-kdb ls system/sw/oyranos 2>/dev/zero | wc -l`" -eq 0 ]; then
  oyranos-policy %{_settingscolordir}/office.policy.xml
fi || :
%endif

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README README-Fedora-ICC_PROFILES
%{_bindir}/%{name}-monitor
%{_bindir}/%{name}-monitor-nvidia
%{_bindir}/%{name}-config-fltk
%{_bindir}/%{name}-policy
%{_mandir}/man1/%{name}-config-fltk.*
%{_mandir}/man1/%{name}-policy.*
%{_datadir}/color/settings/*.policy.xml
%{_datadir}/color/cmms/*.oy_cmm_register.xml
# No profile should be installed with oyranos (even Cineon)
# Instead we need to Requires them when available
# from a separate package or from any virtual provides.
#{_datadir}/color/icc/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_mandir}/man3/%{name}.*
%{_mandir}/man3/%{name}-config.*
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc

%files docs
%defattr(-,root,root,-)
%doc __doc/html/*


%changelog
* Thu Mar  6 2008 kwizart < kwizart at gmail.com > - 0.1.7-11
- Make oyranos-config a wrapper for pkgconfig

* Tue Mar  4 2008 kwizart < kwizart at gmail.com > - 0.1.7-10
- Comment out %%post with %%if 0
- Add BR graphviz
- Upate Doxygen before generation (-u) 
  (set CLASS_GRAPH and COLLABORATION_GRAPH to NO )
- Remove Requires color-filesystem for -devel
- Rename man1 to man3 within man pages.

* Sat Mar  1 2008 kwizart < kwizart at gmail.com > - 0.1.7-9
- Drop monitor-nvidia (will be bundled in the main package)
- Comment out the oyranos default policy until some profiles
  are available within the repository.
- Reenable oyranos-config with tweaks for multilibs
  (will be properly fixed later with pkgconfig)
- Add Requirement needed by oyranos_moni.pc
- Add README-Fedora-ICC_PROFILES

* Wed Feb 20 2008 kwizart < kwizart at gmail.com > - 0.1.7-8
- Uses color-filesystem BR and macros
- Split the doc
- Split monitor-nvidia from the main package and use alternatives
- Fix wrong file encoding not-utf8 ChangeLog
- Tweak oyranos_version.h
- Remove oyranos-config (we should use pkgconfig instead)
- Repackage the sources.

* Thu Aug 16 2007 kwizart < kwizart at gmail.com > - 0.1.7-7
- Move oyranos-config to -devel
- Add Requires elektra-devel for oyranos-devel
- Use ldconfig for -libs only
- Fix .pc files

* Thu Aug 16 2007 kwizart < kwizart at gmail.com > - 0.1.7-6
- Move man3 to -devel
- Remove .a and .la after install step
- Drop the elektra keys registration for now:
  http://www.libelektra.org/Best_Practices_When_Creating_Keys
  User will have to register them by himself

* Tue Jul 10 2007 kwizart < kwizart at gmail.com > - 0.1.7-5
- Directory ownership for %%{_datadir}/color/settings
- Drop unused macros

* Sun Jun 17 2007 kwizart < kwizart at gmail.com > - 0.1.7-4
- Uses patches to fix things
- Removed unused macros
- Removed patented icc profiles

* Mon May 14 2007 kwizart < kwizart at gmail.com > - 0.1.7-3
- Fixed remaining rpaths

* Sat May 12 2007 kwizart < kwizart at gmail.com > - 0.1.7-2
- Disabled internal elektra.
- Exclude oyranos-config.
- Include Various Licenses files.

* Sun Apr 10 2007 kwizart < kwizart at gmail.com > - 0.1.7-1
- Update to final 0.1.7

* Sun Apr  1 2007 kwizart < kwizart at gmail.com > - 0.1.7-0.1.rc8
- Initial Fedora release

* Sat Sep 16 2006 Kai-Uwe Behrmann
- set default policy if no settings are found

* Sat May 28 2005 - Kai-Uwe Behrmann
- packaging

* Tue Apr 21 2005 Kai-Uwe Behrmann
- first release
